package com.datacloudsec.scan.service.impl;

import com.datacloudsec.exception.UEException;
import com.datacloudsec.scan.dao.DlpProfilesMapper;
import com.datacloudsec.scan.service.IDlpProfiles;
import com.datacloudsec.utils.InstanceUtil;
import java.util.List;
import java.util.Map;

/* loaded from: com_datacloudsec_scan_service_impl.jar:com/datacloudsec/scan/service/impl/DlpProfilesService.class */
public class DlpProfilesService implements IDlpProfiles {
    private DlpProfilesMapper dlpProfilesMapper = (DlpProfilesMapper) InstanceUtil.newDaoInstance(DlpProfilesMapper.class);

    public List<Map<String, Object>> getDlpProfiles(String profile, String scantype, Integer offset, Integer limit) throws Exception {
        return this.dlpProfilesMapper.getDlpProfiles(profile, scantype, offset, limit);
    }

    public int getDlpProfilesCount(String profile, String scantype) throws Exception {
        return this.dlpProfilesMapper.getDlpProfilesCount(profile, scantype);
    }

    public List<Map<String, Object>> getDlpRegx(String name, Integer offset, Integer limit) throws Exception {
        return this.dlpProfilesMapper.getDlpRegx(name, offset, limit);
    }

    public int getDlpRegxCount(String name) throws Exception {
        return this.dlpProfilesMapper.getDlpRegxCount(name);
    }

    public int delete(String profile) throws Exception {
        return this.dlpProfilesMapper.delete(profile);
    }

    public int delRegx(Integer number) throws Exception {
        return this.dlpProfilesMapper.delRegx(number);
    }

    public int update(String profile, String hide_name, String username, String password, String domain, String exts, String ignore_exts, String dirs, String ignore_dirs, String regex, String creditcards, String zipfiles, String path, String phonehomeurl, String phonehomeuser, String phonehomepass, Integer delaytime, String description, Integer debug, Integer concurrent, Float memory, Integer mask, String hash, String ignore_dbs, String dbs, String ignore_tables, String tables, String ignore_columns, String columns, Integer rows, String scantype, Integer wait) throws Exception {
        if (!profile.equals(hide_name) && this.dlpProfilesMapper.getProfilesCount(profile) > 0) {
            throw new UEException("策略模板【" + profile + "】已存在");
        }
        return this.dlpProfilesMapper.update(profile, username, password, domain, exts, ignore_exts, dirs, ignore_dirs, regex, creditcards, zipfiles, path, phonehomeurl, phonehomeuser, phonehomepass, delaytime, description, debug, concurrent, memory, mask, hash, ignore_dbs, dbs, ignore_tables, tables, ignore_columns, columns, rows, scantype, wait);
    }

    public int updRegx(Integer number, String name, String hide_name, String pattern) throws Exception {
        if (!name.equals(hide_name) && this.dlpProfilesMapper.getRegxCount(name) > 0) {
            throw new UEException("正则策略模板【" + name + "】已存在");
        }
        return this.dlpProfilesMapper.updRegx(number, name, pattern);
    }

    public int insert(String profile, String username, String password, String domain, String exts, String ignore_exts, String dirs, String ignore_dirs, String regex, String creditcards, String zipfiles, String path, String phonehomeurl, String phonehomeuser, String phonehomepass, Integer delaytime, String description, Integer debug, Integer concurrent, Float memory, Integer mask, String hash, String ignore_dbs, String dbs, String ignore_tables, String tables, String ignore_columns, String columns, Integer rows, String scantype, Integer wait) throws Exception {
        if (this.dlpProfilesMapper.getProfilesCount(profile) > 0) {
            throw new UEException("策略模板【" + profile + "】已存在");
        }
        return this.dlpProfilesMapper.insert(profile, username, password, domain, exts, ignore_exts, dirs, ignore_dirs, regex, creditcards, zipfiles, path, phonehomeurl, phonehomeuser, phonehomepass, delaytime, description, debug, concurrent, memory, mask, hash, ignore_dbs, dbs, ignore_tables, tables, ignore_columns, columns, rows, scantype, wait);
    }

    public int insertRegx(String name, String pattern) throws Exception {
        if (this.dlpProfilesMapper.getRegxCount(name) > 0) {
            throw new UEException("正则策略模板【" + name + "】已存在");
        }
        return this.dlpProfilesMapper.insertRegx(name, pattern);
    }

    public int getRegxCount(String name) throws Exception {
        return this.dlpProfilesMapper.getRegxCount(name);
    }

    public int getProfilesCount(String profile) throws Exception {
        return this.dlpProfilesMapper.getProfilesCount(profile);
    }

    public Map<String, Object> getProfilesByPro(String profile) {
        return this.dlpProfilesMapper.getProfilesByPro(profile);
    }

    public Map<String, Object> getRegxByNumber(Integer number) {
        return this.dlpProfilesMapper.getRegxByNumber(number);
    }

    public List<Map<String, Object>> getRegxs() {
        return this.dlpProfilesMapper.getRegxs();
    }

    public List<String> getRegxsByIds(String[] ids) {
        return this.dlpProfilesMapper.getRegxsByIds(ids);
    }
}
